﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Telerik.Web.UI;
using System.Web.UI.HtmlControls;

public partial class FormDecorator_users_WebForm1 : System.Web.UI.Page
{
	private int _decoratorCounter = 0;

	protected void Page_PreInit(object sender, EventArgs e)
	{
		var data = new[] { 1, 2, 3, 4, 5 };

		for (int i = 0; i < 10; i++)
		{
			var container = new HtmlGenericControl("div") { ID = "zone" + i };
			if (i % 2 == 0)
				container.Style.Add("direction", "rtl");
			
			CreateDecorator(container.ID);

			var ddlTest = CreateDDL("dd" + i, data);

			container.Controls.Add(ddlTest);
			RadPane2.Controls.Add(container);
		}
	}

	private void CreateDecorator(string decorationZone)
	{
		var decorator = new RadFormDecorator() { ID = "decorator" + (_decoratorCounter++), DecoratedControls = FormDecoratorDecoratedControls.Select, DecorationZoneID = decorationZone };
		form1.Controls.Add(decorator);
	}
	private DropDownList CreateDDL(string id, IEnumerable<int> dtTest)
	{
		DropDownList ddlTest = new DropDownList();
		ddlTest.ID = Convert.ToString(id);
		ddlTest.Style.Add("width", "500px");
		ddlTest.DataSource = dtTest;
		ddlTest.DataBind();

		return ddlTest;
	}
}